# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.appsforyourdomain.audit
Class AccountInfo

    java.lang.Object
      com.google.gdata.client.appsforyourdomain.audit.AccountInfo

    public class AccountInfo

extends java.lang.Object

A simple POJO that holds account information request details

Constructor Summary
`AccountInfo()`
`AccountInfo(GenericEntry entry)` Parameterized constructor to create a POJO from a GenericEntry instance.

Method Summary
`java.lang.String` `getAdminEmailAddress()`
`java.util.Date` `getCompletedDate()`
`java.util.Date` `getExpiredDate()`
`java.lang.String[]` `getFileUrls()`
`int` `getNumberOfFiles()`
`java.util.Date` `getRequestDate()`
`java.lang.String` `getRequestId()`
`java.lang.String` `getStatus()`
`java.lang.String` `getUserEmailAddress()`
`void` `setAdminEmailAddress(java.lang.String adminEmailAddress)`
`void` `setCompletedDate(java.util.Date completedDate)`
`void` `setExpiredDate(java.util.Date expiredDate)`
`void` `setFileUrls(java.lang.String[] fileUrls)`
`void` `setNumberOfFiles(int numberOfFiles)`
`void` `setRequestDate(java.util.Date requestDate)`
`void` `setRequestId(java.lang.String requestId)`
`void` `setStatus(java.lang.String status)`
`void` `setUserEmailAddress(java.lang.String userEmailAddress)`
`GenericEntry` `toGenericEntry()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccountInfo

    public AccountInfo()

### AccountInfo

    public AccountInfo(GenericEntry entry)

  Parameterized constructor to create a POJO from a GenericEntry instance.

  Parameters:
    `entry` - a GenericEntry instance with properties.

Method Detail

### getRequestId

    public java.lang.String getRequestId()

### setRequestId

    public void setRequestId(java.lang.String requestId)

### setAdminEmailAddress

    public void setAdminEmailAddress(java.lang.String adminEmailAddress)

### getAdminEmailAddress

    public java.lang.String getAdminEmailAddress()

### setUserEmailAddress

    public void setUserEmailAddress(java.lang.String userEmailAddress)

### getUserEmailAddress

    public java.lang.String getUserEmailAddress()

### getStatus

    public java.lang.String getStatus()

### setStatus

    public void setStatus(java.lang.String status)

### getRequestDate

    public java.util.Date getRequestDate()

### setRequestDate

    public void setRequestDate(java.util.Date requestDate)

### getCompletedDate

    public java.util.Date getCompletedDate()

### setCompletedDate

    public void setCompletedDate(java.util.Date completedDate)

### getNumberOfFiles

    public int getNumberOfFiles()

### setNumberOfFiles

    public void setNumberOfFiles(int numberOfFiles)

### getFileUrls

    public java.lang.String[] getFileUrls()

### setFileUrls

    public void setFileUrls(java.lang.String[] fileUrls)

### getExpiredDate

    public java.util.Date getExpiredDate()

### setExpiredDate

    public void setExpiredDate(java.util.Date expiredDate)

### toGenericEntry

    public GenericEntry toGenericEntry()